/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.tmx.util.message;

/**
 * blancoTmxUtilが内部的に利用するメッセージクラスです。
 */
public class BlancoTmxUtilMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoTmxUtilMessageResourceBundle fBundle = new BlancoTmxUtilMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoTmxUtil]、キー[MBTMUT01]の文字列を取得します。
     *
     * No.2:
     * 文字列[指定された sourcedir[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbtmut01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbtmut01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBTMUT01] " + fBundle.getMbtmut01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoTmxUtil]、キー[MBTMUT02]の文字列を取得します。
     *
     * No.3:
     * 文字列[指定された sourcedir[{0}]はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbtmut02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbtmut02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBTMUT02] " + fBundle.getMbtmut02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoTmxUtil]、キー[MBTMUT03]の文字列を取得します。
     *
     * No.4:
     * 文字列[指定された targetdir[{0}]が存在しなかったので作成を試みましたが失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbtmut03(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbtmut03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBTMUT03] " + fBundle.getMbtmut03(arg0);
    }

    /**
     * メッセージ定義ID[BlancoTmxUtil]、キー[MBTMUT04]の文字列を取得します。
     *
     * No.5:
     * 文字列[指定された targetdir[{0}]はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbtmut04(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbtmut04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBTMUT04] " + fBundle.getMbtmut04(arg0);
    }

    /**
     * メッセージ定義ID[BlancoTmxUtil]、キー[MBTMUT05]の文字列を取得します。
     *
     * No.6:
     * 文字列[sourcedir[{0}] と targetdir[{1}] とは同じディレクトリです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbtmut05(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbtmut05]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbtmut05]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBTMUT05] " + fBundle.getMbtmut05(arg0, arg1);
    }
}
